# station.cpp File Reference

Implementation of the station base class. More...

`#include "stdafx.h"`
`#include "company_func.h"`
`#include "industry.h"`
`#include "newgrf_cargo.h"`
`#include "yapf/yapf.h"`
`#include "cargotype.h"`
`#include "roadveh.h"`
`#include "window_type.h"`
`#include "station_gui.h"`
`#include "zoom_func.h"`
`#include "functions.h"`
`#include "window_func.h"`
`#include "date_func.h"`
`#include "command_func.h"`
`#include "news_func.h"`
`#include "aircraft.h"`
`#include "vehicle_gui.h"`
`#include "settings_type.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Detailed Description

Implementation of the station base class.

Definition in file station.cpp.